> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aigenda.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Space rights

> What you are allowed to do in this space. Uploading requires write_access: true.

## Path parameters

<ParamField path="space_id" type="integer" required>
  Space ID.
</ParamField>

## Response

<ResponseField name="write_access" type="boolean">
  You can upload recordings.
</ResponseField>

<ResponseField name="share_access" type="boolean">
  You can enable public access to results.
</ResponseField>

<ResponseField name="invite_access" type="boolean">
  You can invite members.
</ResponseField>

<ResponseField name="add_user" type="boolean">
  You can add users.
</ResponseField>

<ResponseField name="create_another_group" type="boolean">
  You can create groups.
</ResponseField>

<ResponseField name="view_only_own_records" type="boolean">
  You see only your own recordings.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET "https://api.aigenda.tech/api/spaces/1024/my_rights/" \
    -H "Authorization: Bearer <access>"
  ```

  ```python Python theme={null}
  import requests

  response = requests.get(
      "https://api.aigenda.tech/api/spaces/1024/my_rights/",
      headers={"Authorization": "Bearer <access>"},
      timeout=30,
  )
  response.raise_for_status()
  print(response.json())
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch("https://api.aigenda.tech/api/spaces/1024/my_rights/", {
    method: "GET",
    headers: { Authorization: "Bearer <access>" },
  });
  const data = await response.json();
  console.log(data);
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "write_access": true,
    "invite_access": true,
    "share_access": true,
    "create_another_group": true,
    "add_user": true,
    "view_only_own_records": false
  }
  ```

  ```json 403 theme={null}
  {
    "detail": "You do not have permission to perform this action."
  }
  ```
</ResponseExample>


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.